> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Deal

> Create a deal, by default in the first open stage of the default pipeline.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/crm/deals
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/crm/deals:
    post:
      tags:
        - CRM
      summary: Create Deal
      description: >-
        Create a deal, by default in the first open stage of the default
        pipeline.
      operationId: create_crm_deal
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DealCreateIn'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    DealCreateIn:
      properties:
        title:
          title: Title
          type: string
        stage_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Stage Id
        amount:
          anyOf:
            - type: string
            - type: number
            - type: 'null'
          title: Amount
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO 4217 code, e.g. EUR
          title: Currency
        expected_close_date:
          anyOf:
            - type: string
            - type: 'null'
          description: YYYY-MM-DD
          title: Expected Close Date
        owner_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Owner Id
        organization_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Organization Id
        contact_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Replaces the deal's contacts
          title: Contact Ids
        custom_fields:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Custom Fields
        lost_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Lost Reason
        pipeline_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Defaults to the default pipeline
          title: Pipeline Id
      required:
        - title
      title: DealCreateIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.